package com.engine.salary.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.salary.entity.siarchives.param.InsuranceArchivesListParam;
import com.engine.salary.entity.siexport.param.InsuranceExportParam;
import com.engine.salary.service.SIArchivesService;
import com.engine.salary.service.SIExportService;
import com.engine.salary.service.impl.SIArchivesServiceImpl;
import com.engine.salary.service.impl.SIExportServiceImpl;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import weaver.hrm.User;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/4/18
 * @Version V1.0
 **/
public class SIExportWrapper extends Service {

    public SIExportService getSIExportService(User user) {
        return ServiceUtil.getService(SIExportServiceImpl.class, user);
    }

    public SIArchivesService getSIArchivesService(User user) {
        return ServiceUtil.getService(SIArchivesServiceImpl.class, user);
    }


    public XSSFWorkbook exportOverView(InsuranceExportParam param) {
        return getSIExportService(user).exportOverView(param);
    }

    public XSSFWorkbook exportAccount(Integer paymentStatus, InsuranceExportParam param) {
        return getSIExportService(user).exportAccount(paymentStatus,param);
    }

    public XSSFWorkbook export(InsuranceArchivesListParam param) {
        return getSIArchivesService(user).export(param);
    }


}
